RowFilter.ComparisonType (Java Platform SE 8 )
Keywords: javax.swing.RowFilter.ComparisonType class
Date: 2026-04-24

javax.swing

## Enum RowFilter.ComparisonType

- java.lang.Object
- - java.lang.Enum<RowFilter.ComparisonType>
  - - javax.swing.RowFilter.ComparisonType

- All Implemented Interfaces:
    Serializable, Comparable<RowFilter.ComparisonType>
  Enclosing class:
    RowFilter<M,I>

      public static enum RowFilter.ComparisonType
      extends Enum<RowFilter.ComparisonType>

  Enumeration of the possible comparison values supported by some of the default `RowFilter`s.
  Since:
    1.6
  See Also:
    `RowFilter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER` Indicates that entries with a value after the supplied value should be included.
    `BEFORE` Indicates that entries with a value before the supplied value should be included.
    `EQUAL` Indicates that entries with a value equal to the supplied value should be included.
    `NOT_EQUAL` Indicates that entries with a value not equal to the supplied value should be included.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RowFilter.ComparisonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RowFilter.ComparisonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE

          public static final RowFilter.ComparisonType BEFORE

      Indicates that entries with a value before the supplied value should be included.

    - #### AFTER

          public static final RowFilter.ComparisonType AFTER

      Indicates that entries with a value after the supplied value should be included.

    - #### EQUAL

          public static final RowFilter.ComparisonType EQUAL

      Indicates that entries with a value equal to the supplied value should be included.

    - #### NOT_EQUAL

          public static final RowFilter.ComparisonType NOT_EQUAL

      Indicates that entries with a value not equal to the supplied value should be included.

  - ### Method Detail

    - #### values

          public static RowFilter.ComparisonType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowFilter.ComparisonType c : RowFilter.ComparisonType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowFilter.ComparisonType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.